Subject: [fwtk-users] Re: ssmtp

From: Per Gustav Ousdal <[email-masked]>
Date: Wed, 13 Feb 2002 22:33:44 +0100

On Tuesday 12 February 2002 14:09, you wrote:
> nuqneH,
>
> Per Gustav Ousdal <[email-masked]> said :
> > I am having trouble with ssmtp. It compiles fine and all of that, however
> > it complains about the Recived line: Must not be from smap. Something
> > like that upon execution of smapd, and delivery to ssmtp.
>
> It tries to determine sending host from the first Received: line to perform
> header filtering. Looks like some patches changed its format.

Well, that was my initial though too. But I seem to remember that I did try 
to compile from a clean FWTK 2.1 tree, and got the same result.

> > It does forward the mail to my relay, but it puts the original headers in
> > the body, and leaves out From: and Rcpt to: in the new headers.
>
> Should not happen anyways.

Didn't think so either, but it does :) I do ofcourse compile on a different 
system, not the firewall: But I assume that shouldn't matter? 

> > This is ssmtp TIS-0.5alpha :) And smpad and smapd from 2.1 patched with
> > the two Yao patches. I tried to compile an unpatched version of smap from
> > 2.1, and had the same result.
>
> This one is old and outdated.

Phew! Good :) 

But, does that mean that all your stuff: Including the pop3-gw exists in more 
current verions than the ones found on fwtk.org ? 

> I will send you a new one via personal mail, though it requires fwtk
> generation 2 api to compile (nlib directory in the same archive, don't
> forget to make it prior to compiling smap, it will replace libfwall.a).

Thanks for the file. I am howerver a little confused now: "fwtk generation 2 
api"? What excatly is that, and where do I find it? 

> Should work both with smap and with smtpd.

Yep. Well, both of them (smap & smtpd) are actually required are they not? 

Per

---
You are currently subscribed to fwtk-users as: [email-masked]
To unsubscribe send a blank email to [email-masked]